curl --request GET \
--url https://futures.kraken.com/api/history/v3/triggers \
--header 'APIKey: <api-key>' \
--header 'Authent: <api-key>'import requests
url = "https://futures.kraken.com/api/history/v3/triggers"
headers = {
"APIKey": "<api-key>",
"Authent": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {APIKey: '<api-key>', Authent: '<api-key>'}};
fetch('https://futures.kraken.com/api/history/v3/triggers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://futures.kraken.com/api/history/v3/triggers"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("APIKey", "<api-key>")
req.Header.Add("Authent", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"accountUid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"len": 123,
"elements": [
{
"uid": "<string>",
"timestamp": 1604937694000,
"event": {
"OrderTriggerPlaced": {
"order": {
"uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"accountId": 123,
"accountUid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tradeable": "<string>",
"direction": "Buy",
"quantity": "1234.56789",
"timestamp": 1604937694000,
"limitPrice": "1234.56789",
"orderType": "<string>",
"clientId": "<string>",
"reduceOnly": true,
"lastUpdateTimestamp": 1604937694000,
"triggerOptions": {
"triggerPrice": "1234.56789",
"triggerSignal": "MarkPrice",
"triggerSide": "Above",
"trailingStopOptions": {
"maxDeviation": "1234.56789",
"unit": "Percent"
},
"limitPriceOffset": {
"priceOffset": "1234.56789",
"unit": "Percent"
}
}
},
"reason": "<string>"
}
}
}
],
"serverTime": "2023-11-07T05:31:56Z",
"continuationToken": "aSDinaTvuI8gbWludGxpZnk="
}Get trigger events
Lists trigger events for authenticated account.
curl --request GET \
--url https://futures.kraken.com/api/history/v3/triggers \
--header 'APIKey: <api-key>' \
--header 'Authent: <api-key>'import requests
url = "https://futures.kraken.com/api/history/v3/triggers"
headers = {
"APIKey": "<api-key>",
"Authent": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {APIKey: '<api-key>', Authent: '<api-key>'}};
fetch('https://futures.kraken.com/api/history/v3/triggers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://futures.kraken.com/api/history/v3/triggers"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("APIKey", "<api-key>")
req.Header.Add("Authent", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"accountUid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"len": 123,
"elements": [
{
"uid": "<string>",
"timestamp": 1604937694000,
"event": {
"OrderTriggerPlaced": {
"order": {
"uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"accountId": 123,
"accountUid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tradeable": "<string>",
"direction": "Buy",
"quantity": "1234.56789",
"timestamp": 1604937694000,
"limitPrice": "1234.56789",
"orderType": "<string>",
"clientId": "<string>",
"reduceOnly": true,
"lastUpdateTimestamp": 1604937694000,
"triggerOptions": {
"triggerPrice": "1234.56789",
"triggerSignal": "MarkPrice",
"triggerSide": "Above",
"trailingStopOptions": {
"maxDeviation": "1234.56789",
"unit": "Percent"
},
"limitPriceOffset": {
"priceOffset": "1234.56789",
"unit": "Percent"
}
}
},
"reason": "<string>"
}
}
}
],
"serverTime": "2023-11-07T05:31:56Z",
"continuationToken": "aSDinaTvuI8gbWludGxpZnk="
}Authorizations
General API key with at least read-only access
Authentication string
Query Parameters
Timestamp in milliseconds.
1604937694000
Timestamp in milliseconds.
1604937694000
Determines the order of events in response(s).
asc= chronologicaldesc= reverse-chronological
asc, desc Opaque token from the Next-Continuation-Token header used to continue listing events. The
sort parameter must be the same as in the previous request to continue listing in the same
direction.
The maximum number of results to return. Larger values are not rejected, they are silently
capped at 1000; when more events match, the Next-Continuation-Token header is returned to
continue the listing.
x >= 1If present events of other tradeables are filtered out.
Determines status of the triggers that should be included in response(s).
true= return triggers that have been placed within given time range.false= don't return triggers that have been placed within given time range.
Determines status of the trigger that should be included in response(s).
true= return triggers that have been closed/cancelled/rejected within given time range.false= don't return triggers that have been closed/cancelled/rejected within given time range.
Response
Show child attributes
Show child attributes
Opaque token to pass to the next request to continue listing events. The sort parameter
must be the same as in the previous request to continue listing in the same direction.
Was this page helpful?